## signon-ui 0.11

=== tests/functional/Makefile ===
#############################################################################
# Makefile for building: functional
# Generated by qmake (2.01a) (Qt 4.8.2) on: Fri Aug 24 11:34:51 2012
# Project:  functional.pro
# Template: subdirs
# Command: /usr/bin/qmake -o Makefile functional.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    = 


Makefile: functional.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../common-project-config.pri \
		../../common-vars.pri \
		../../common-installs-config.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -o Makefile functional.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../common-project-config.pri:
../../common-vars.pri:
../../common-installs-config.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -o Makefile functional.pro

qmake_all: FORCE

make_default: FORCE
make_first: FORCE
all: FORCE
clean: FORCE
distclean: FORCE
	-$(DEL_FILE) Makefile
install_subtargets: FORCE
uninstall_subtargets: FORCE

check:
	BUILDDIR=/run/media/mardy/Data/src/bzr/accounts-sso/signon-ui/trunk/$(BUILD_DIR) SRCDIR=/run/media/mardy/Data/src/bzr/accounts-sso/signon-ui/trunk /run/media/mardy/Data/src/bzr/accounts-sso/signon-ui/trunk/tests/functional/tests.sh

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

## signon-ui 0.4+bzr46-0precise2newyork1

=== debian/changelog ===
signon-ui (0.4+bzr46-0precise2newyork1) precise; urgency=low

  [ Ricardo Mendoza ]
  * Local newyork changes
    - Modify unauthenticated account notification text to correctly
      represent System Settings menu and Online Accounts naming.

  [ Martin Mrazik QA ]
  * Auto build.

 -- Martin Mrazik QA <martin.mrazik+qa@canonical.com>  Thu, 26 Jul 2012 01:06:27 +0000

signon-ui (0.4+bzr46-0precise2) precise; urgency=low

  * no change rebuild

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Jun 2012 16:53:26 -0400

signon-ui (0.4+bzr46-0precise1) precise; urgency=low

  * new snapshot tag 0.4+bzr46

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 01 Jun 2012 14:43:03 -0400

signon-ui (0.3+bzr43-0precise1) precise; urgency=low

  * new snapshot tag 0.3+bzr43

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 04 Apr 2012 15:03:37 -0400

signon-ui (0.3+bzr34-0precise2) precise; urgency=low

  * rebased on trunk

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Mar 2012 12:01:03 -0400

signon-ui (0.3+bzr34-0precise1) precise; urgency=low

  * new snapshot tag 0.3+bzr40

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 29 Mar 2012 14:34:00 -0400

signon-ui (0.2+bzr37-0precise1) precise; urgency=low

  * New snapshot r37

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 19 Mar 2012 12:27:12 -0400

signon-ui (0.2-0precise2) precise; urgency=low

  * debian/control
    - added build depends on libx11-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 05 Jan 2012 12:55:17 -0500

signon-ui (0.2-0precise1) precise; urgency=low

  * Initial release 

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 05 Jan 2012 10:32:27 -0500

=== debian/control ===
Source: signon-ui
Section: libs
Priority: optional
Maintainer: Ken VanDine <ken.vandine@canonical.com>
Build-Depends: debhelper (>= 8.0.0),
               pkg-config,
               signon-plugins-dev,
               libaccounts-qt-dev,
               libnotify-dev,
               libx11-dev,
               libsignon-qt-dev,
               libqtwebkit-dev
Standards-Version: 3.9.3
Homepage: https://launchpad.net/opensesame-signon-ui

Package: signon-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single Sign-on UI
 UI for the signond Single Signon service

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_install:
	dh_install --fail-missing

override_dh_auto_test:

%:
	dh $@

## signon-ui 0.5

=== debian/changelog ===
signon-ui (0.5-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 02 Aug 2012 14:40:56 -0400

signon-ui (0.4+bzr47-0quantal1) quantal; urgency=low

  * New snapshot rev 47
  * common-project-config.pri 
    - fixed FTBFS by including X11 in pkgconfg
  * tests/test.pro
    - Only run unit tests
  * debian/control
    - added build depends for libxext-dev, gdb, xvfb, dbus-test-runner

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 01 Aug 2012 17:03:13 -0400

signon-ui (0.4+bzr46-0quantal1) quantal; urgency=low

  * rebuild for quantal

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 16 Jul 2012 09:59:56 -0400

=== debian/control ===
Source: signon-ui
Section: gnome
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
               pkg-config,
               signon-plugins-dev,
               libaccounts-qt-dev,
               libnotify-dev,
               libx11-dev,
               libsignon-qt-dev,
               libqtwebkit-dev,
               libxext-dev,
               gdb,
               xvfb,
               dbus-test-runner
Standards-Version: 3.9.3
Homepage: https://launchpad.net/online-accounts-signon-ui

Package: signon-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single Sign-on UI
 UI for the signond Single Signon service

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,8 @@
 #export DH_VERBOSE=1
 
 override_dh_install:
+	rm -f debian/*/usr/bin/signon-ui-unittest
 	dh_install --fail-missing
-
-override_dh_auto_test:
 
 %:
 	dh $@

=== debian/watch ===
version=3
http://launchpad.net/online-accounts-signon-ui/+download .*/signon-ui-([0-9.]+)\.tar\.bz2

## signon-ui 0.11

=== debian/changelog ===
signon-ui (0.11-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release.
    - Do not instantiate invalid QDBusMessages (LP: #1040580)
    - Do not allocate the proxy factory on the 
      stack (LP: #1053444) (LP: #1053454)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 25 Sep 2012 16:47:07 -0400

signon-ui (0.10-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Fixed proxy support (LP: #1048590)
    - Don't emit an OSD notification when accounts fail to 
      authenticate (LP: #1049140)
  * debian/control
    - build depend on libproxy-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 19 Sep 2012 15:06:38 -0400

signon-ui (0.9-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Early terminate successful requests with no UI (LP: #1049207)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 12 Sep 2012 09:36:58 -0400

signon-ui (0.8-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Successfully terminate the browser request as soon as we are requested
      to load the final URL.  This fixes spawning a bunch of instances of 
      external browser instances (LP: #1048177) (LP: #1047588)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 10 Sep 2012 09:08:27 -0400

signon-ui (0.7-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - protect webkit from untrusted content, only allow https (LP: #1039084)
  * -debian/patches/unit_tests_only.patch, merged upstream 

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 07 Sep 2012 09:33:56 -0400

signon-ui (0.6-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 17 Aug 2012 16:53:56 -0400

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                signon-plugins-dev,
                libaccounts-qt-dev,
                libnotify-dev,
+               libproxy-dev,
                libx11-dev,
                libsignon-qt-dev,
                libqtwebkit-dev,

## signon-ui 0.17%2Bgit20231016.eef943f

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=qmake6

override_dh_auto_configure:
	dh_auto_configure --buildsystem=qmake6 -- "CONFIG+=force-foreign-qwindow" \
		"CONFIG+=use-ubuntu-web-view" \
		"HTTP_WARNING_HELP=help:web-credentials/http-warning" \
		"LIBDIR=$(LIBDIR)" \
		"LIBEXECDIR=$(LIBDIR)"

## signon-ui 0.17+15.10.20150810

=== debian/changelog ===
signon-ui (0.17+15.10.20150810-2) unstable; urgency=medium

  * Update copyright file with more dates
  * Remove libgstreamer-plugins-base1.0-dev from Build-Depends
    (Closes: #800536)

 -- Diane Trout <diane@debian.org>  Thu, 15 Oct 2015 10:51:17 -0700

signon-ui (0.17+15.10.20150810-1) unstable; urgency=medium

  * Prepare initial Debian release.
  * Change maintainer to Debian qt-kde team, add myself as uploader
  * Use QT_SELECT=qt5 in rules instead of qt5-default in build-dep
  * Remove ubuntu-specific version number from qtbase5-dev
  * Disable qtlocation5-dev from build-dep as Debian doesn't have it.
  * Add xauth to build-dep needed for tests.
  * Add myself to debian/* debian/copyright
  * Remove signon-ui transitional package as we have never been released
    to Debian.
  * Remove Breaks/Replaces from signon-ui-service as we have never been
    released to Debian
  * Add watch file
  * Add LGPL-2.1-QTexception-1.1 text to debian/copyright

 -- Diane Trout <diane@debian.org>  Mon, 14 Sep 2015 22:06:53 -0700

signon-ui (0.17+15.04.20150410-0ubuntu1) vivid; urgency=medium

  [ Iain Lane ]
  * src/signon.pro: Add 'quick' to the list of Qt modules used; we use
    QQuickView

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 10 Apr 2015 08:47:04 +0000

signon-ui (0.17+14.10.20140916-0ubuntu1) utopic; urgency=low

  [ Colin Watson ]
  * Add versioned Breaks/Replaces on signon-ui to signon-ui-x11 to fix
    upgrades from before 0.17. (LP: #1363352)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Sep 2014 19:07:08 +0000

signon-ui (0.17+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Alberto Mardegan ]
  * New release Add signon-ui-service, to fix co-installation with u-s-
    s-o-a. Use Oxide instead of WebKit2 .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 10:23:08 +0000

signon-ui (0.17+14.10.20140612-0ubuntu1) utopic; urgency=medium

  [ Alberto Mardegan ]
  * Use Oxide instead of WebKit2
  * Add signon-ui-service, to fix co-installation with u-s-s-o-a

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Jun 2014 13:35:05 +0000

signon-ui (0.16+14.10.20140530-0ubuntu1) utopic; urgency=low

  [ Timo Jyrinki ]
  * Depend on libqt5sensors5-dev instead of qtsensors5-dev. (LP:
    #1317885) (LP: #1317885)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 May 2014 17:38:39 +0000

signon-ui (0.16+14.04.20140304.is.0.15+14.04.20140313-0ubuntu2) utopic; urgency=medium

  * debian/control: remove arch constraints in gl/gles build-deps, not needed
    as it follows what Qt uses

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 29 Apr 2014 10:57:43 -0700

signon-ui (0.16+14.04.20140304.is.0.15+14.04.20140313-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Mar 2014 15:22:16 +0000

signon-ui (0.16+14.04.20140304.is.0.15+14.04.20131024.2-0ubuntu1) trusty; urgency=medium

  * Reverting as desktop image isn't installable (main/universe
    mismatch) and causing all signon-ui tests on Touch failing

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 05 Mar 2014 12:19:29 +0100

signon-ui (0.16+14.04.20140304-0ubuntu1) trusty; urgency=medium

  [ Alberto Mardegan ]
  * Tag version 0.16.
  * Add an experimental method to get the WebView cookies This is
    intended to be used by the webapps container, in the attempt to
    reduce the number of web logins required to the user.
  * Disable failing test on QtDBus Q_ASSERT See https://bugreports.qt-
    project.org/browse/QTBUG-36475 . (LP: #1271052)

  [ Alexandre Abreu ]
  * Update UA overrides from the most recent ones .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 04 Mar 2014 15:04:01 +0000

signon-ui (0.15+14.04.20131024.2-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Don't limit arch to a fixed set (LP: #1239743) . (LP: #1239743)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 119

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 24 Oct 2013 20:30:36 +0000

signon-ui (0.15+13.10.20131016.2-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * Do not anchor to the osk item (OnScreenKeyboard), as it's not a
    sibling. . (LP: #1238485)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 117

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 16 Oct 2013 14:15:21 +0000

signon-ui (0.15+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Use a MainView and pull in the UserAgent logic used in the Browser
    component. Using the correct useragent fixes things like facebook
    suggesting users should install the facebook app for iphone (LP:
    #1235259). (LP: #1235259)
  * Allow overriding the QML files used by placing them in
    /usr/share/signon-ui/qml If there is a webview.qml file in that
    directory, load it instead of using the one built into the
    resources. This is useful for debugging QML only changes on the
    device without needing to rebuild and install signon-ui. It is
    important to note, when overriding them you need to copy include the
    .qml and .js files into that directory. .

  [ Iain Lane ]
  * Allow LIBDIR and LIBEXECDIR to be overridden; install in multiarch
    path; set LIBEXECDIR=LIBDIR .

  [ Alberto Mardegan ]
  * Bump build dependency for XEmbed support .
  * Allow the request to be cancelled from the UI. Clients can provide a
    QML component to be used in order to create the authentication page,
    and this gives them a way to add a cancel button there. (LP:
    #1231691)
  * Let the client override the Page component. . (LP: #1231691)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 115

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 04:33:07 +0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4
export QT_SELECT=qt5

LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_configure:
	dh_auto_configure -- "CONFIG+=force-foreign-qwindow" \
		"CONFIG+=use-ubuntu-web-view" \
		"HTTP_WARNING_HELP=help:web-credentials/http-warning" \
		"LIBDIR=$(LIBDIR)" \
		"LIBEXECDIR=$(LIBDIR)"

override_dh_install:
	rm -f debian/*/usr/bin/signon-ui-unittest
	dh_install --fail-missing

%:
	dh $@

=== debian/watch ===
version=3
http://archive.ubuntu.com/ubuntu/pool/main/s/signon-ui/ signon-ui_(.+).orig.tar.(?:gz|xz|bz2)

## signon-ui 0.17+16.04.20151125

=== po/Makefile ===
# Add here the language codes for the translated .po files:
LINGUAS =

I18N_DOMAIN = signon-ui

PO_FILES = $(addsuffix .po, $(LINGUAS))
MO_FILES = $(addsuffix .mo, $(LINGUAS))

DEL_FILE = rm -f
INSTALL = /usr/bin/install -c -m 644
MKDIR = mkdir -p

all: $(MO_FILES)

install: all
	for lang in $(LINGUAS); do \
		dir=$(INSTALL_ROOT)/usr/share/locale/$$lang/LC_MESSAGES; \
		$(MKDIR) $$dir; \
		$(INSTALL) $$lang.mo $$dir/$(I18N_DOMAIN).mo; \
	done

%.mo: %.po
	msgfmt -o "$@" "$<"

clean:
	-$(DEL_FILE) $(MO_FILES)

distclean: clean

check: all

=== debian/changelog ===
signon-ui (0.17+16.04.20151125-1) unstable; urgency=medium

  * Team upload.

  [ Diane Trout ]
  * New upstream release.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_install, as it is the default for
      dh_missing now
  * Switch Vcs-* fields to salsa.debian.org.
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Stop removing signon-ui-unittest, as it is not installed.
  * Use /usr/share/dpkg/architecture.mk to make sure that $DEB_HOST_MULTIARCH
    is always defined.
  * Remove unused build dependencies: gdb, libgl1-mesa-dev | libgl-dev,
    libgles2-mesa-dev | libgles2-dev, libicu-dev, libqt5opengl5-dev,
    libsqlite3-dev, libxext-dev, libxslt1-dev, and libqt5sensors5-dev.
  * Drop old signon-ui breaks/replaces, older than Stretch.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jan 2021 23:22:58 +0100

=== debian/control ===
Source: signon-ui
Section: gnome
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@debian.org>
Build-Depends: dbus-test-runner,
               debhelper-compat (= 13),
               libaccounts-qt5-dev,
               libnotify-dev,
               libproxy-dev,
               libqt5webkit5-dev,
               libsignon-qt5-dev,
               libx11-dev,
               pkg-config,
               qtbase5-dev (>= 5.0.2+dfsg1),
               qtdeclarative5-dev,
               signon-plugins-dev,
               xvfb,
               xauth,
Standards-Version: 4.5.1
Homepage: https://launchpad.net/signon-ui
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/signon-ui
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/signon-ui.git

Package: signon-ui-x11
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         signon-ui-service
Description: Single Sign-on UI
 UI for the signond Single Signon service

Package: signon-ui-service
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: D-Bus service file for signon-ui
 This D-Bus service is used to provide a UI for authenticating online accounts.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 #export DH_VERBOSE=1
 export DPKG_GENSYMBOLS_CHECK_LEVEL=4
 export QT_SELECT=qt5
+
+include /usr/share/dpkg/architecture.mk
 
 LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
 
@@ -15,9 +17,5 @@
 		"LIBDIR=$(LIBDIR)" \
 		"LIBEXECDIR=$(LIBDIR)"
 
-override_dh_install:
-	rm -f debian/*/usr/bin/signon-ui-unittest
-	dh_install --fail-missing
-
 %:
 	dh $@

=== debian/watch ===
version=4
http://archive.ubuntu.com/ubuntu/pool/main/s/signon-ui/ signon-ui_(.+).orig.tar.(?:gz|xz|bz2)

## signon-ui 0.17+git20231016.eef943f

=== debian/changelog ===
signon-ui (0.17+git20231016.eef943f-3) unstable; urgency=medium

  * Team upload.

  * debian/patches:
    + Add 1001_switch-from-unity8-on-mir-to-lomiri-on-wayland.patch. Switch
      from Unity8 / Ubuntu Online Accounts to Lomiri and Lomiri Online Accounts.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 19 Dec 2024 09:17:05 +0100

signon-ui (0.17+git20231016.eef943f-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Limit signon-ui build to architectures where qt6-webengine is
    present.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 30 Nov 2024 18:39:53 +0100

signon-ui (0.17+git20231016.eef943f-1.1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 26 Nov 2024 18:27:03 +0100

signon-ui (0.17+git20231016.eef943f-1) experimental; urgency=medium

  * Team upload.
  * Update packaging to follow the move of the project to its new home in the
    Accounts SSO group on the gitlab.com instance.
  * New upstream git snapshot (git20231016.eef943f).
  * Build against Qt6.
  * Build with hardening=+all build hardening flag.
  * Replace pkg-config with pkgconf.
  * Rename signon-ui-x11 binary package to signon-ui-qt to better
    represent what it does.
  * Bump Standards-Version to 4.7.0, no change required.
  * Make the signon-ui-service package depend on the signon-ui that it uses
    and not the other way round.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 May 2024 21:55:04 +0200

=== debian/control ===
Source: signon-ui
Section: gnome
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@debian.org>
Build-Depends: dbus-test-runner <!nocheck>,
               debhelper-compat (= 13),
               libaccounts-qt6-dev,
               libnotify-dev,
               libproxy-dev,
               qt6-webengine-dev,
               libsignon-qt6-dev,
               pkgconf,
               qmake6,
               qt6-base-dev,
               qt6-declarative-dev,
               signon-plugins-dev (>= 8.61+git20231015.c8ad982~),
               xvfb <!nocheck>,
               xauth <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://gitlab.com/accounts-sso/signon-ui
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/signon-ui
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/signon-ui.git

Package: signon-ui-qt
Architecture: amd64 arm64 armhf i386
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: signon-ui-x11
Replaces: signon-ui-x11
Provides: signon-ui
Description: single Sign-on UI based on Qt
 Qt-based UI for the signond Single Signon service.

Package: signon-ui-service
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         signon-ui-qt | signon-ui,
Description: D-Bus service file for signon-ui
 This D-Bus service is used to provide a UI for authenticating online accounts.

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://gitlab.com/accounts-sso/@PACKAGE@/-/tags?sort=updated_desc \
  /accounts-sso/@PACKAGE@/-/archive/(?:VERSION_)?\d[\d.]*/@PACKAGE@-(?:VERSION_)?@ANY_VERSION@@ARCHIVE_EXT@

## signon-ui 0.18~nicofee20240222

=== debian/changelog ===
signon-ui (0.18~nicofee20240222-0zneon+24.04+noble+release+build2) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 22:36:47 +0000

signon-ui (0.18~nicofee20240222-0neon) noble; urgency=medium

  * OMG

 -- Jonathan Riddell <jr@jriddell.org>  Thu, 22 Feb 2024 15:56:26 +0000

signon-ui (0.17+18.04.20171027+really20160406-0neon) jammy; urgency=medium

  * Rebuild of 0.17+18.04.20160406-0ubuntu1 source with upstream patches
    from gitlab that gets rid of webkit and uses webengine instead.

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 04 Oct 2023 11:09:12 +1000

signon-ui (0.17+16.04.20151125-0neon) jammy; urgency=medium

  * Remove build dependency on qt5-default, which no longer exists
    (LP: #1921781).

 -- Logan Rosen <logan@ubuntu.com>  Tue, 06 Apr 2021 23:43:03 -0400

signon-ui (0.17+18.04.20171027+really20160406-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:25:35 +0100

signon-ui (0.17+18.04.20171027+really20160406-0ubuntu1) bionic; urgency=medium

  * Rebuild of 0.17+16.04.20160406-0ubuntu1 source. Versions later than
    this crash when trying to add a Google account in KDE
    systemsettings. An upstream solution requires unimplemented changes
    to KDE Kaccounts KCM, so for now revert to last good working
    version. (LP: #1727811)
  * Re-drop build dependency on libgstreamer-plugins-base0.10-dev
  * Re-drop transitional signon-ui package (package was renamed for Utopic)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 27 Oct 2017 15:57:25 +0100

signon-ui (0.17+16.04.20160406-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * Update Ubuntu.Web backend, make it the default on Unity (LP:
    #1547647)

 -- David Barth <david.barth@canonical.com>  Wed, 06 Apr 2016 09:17:36 +0000

signon-ui (0.17+16.04.20151125-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * Strip trailing "/" when comparing URLs (LP: #1173926)

  [ CI Train Bot ]
  * New rebuild forced.

 -- David Barth <david.barth@canonical.com>  Wed, 25 Nov 2015 16:34:10 +0000

signon-ui (0.17+15.10.20150810-0ubuntu1) wily; urgency=medium

  [ Alberto Mardegan ]
  * Fix portability to non-X11 platforms (LP: #1473422, #1473423)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 10 Aug 2015 08:37:45 +0000

signon-ui (0.17+15.04.20150410-0ubuntu2~gcc5.1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 03 Aug 2015 18:39:20 +0200

=== debian/control ===
Source: signon-ui
Section: gnome
Priority: optional
Build-Depends: dbus-test-runner,
               debhelper-compat (= 13),
               gdb,
               libaccounts-qt6-dev,
               libgl1-mesa-dev | libgl-dev,
               libgles2-mesa-dev | libgles2-dev,
               libicu-dev,
               libnotify-dev,
               libproxy-dev,
               libsignon-qt6-dev,
               libsqlite3-dev,
               libx11-dev,
               libxext-dev,
               libxslt1-dev,
               pkg-config,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev,
               signon-plugins-dev,
               xvfb
Standards-Version: 4.6.2
Homepage: https://launchpad.net/signon-ui
Vcs-Bzr: https://code.launchpad.net/~online-accounts/signon-ui/trunk
Vcs-Git: https://invent.kde.org/neon/backports-noble/signon-ui-noble.git
Vcs-Browser: https://invent.kde.org/neon/backports-noble/signon-ui-noble
Maintainer: Neon CI <neon@kde.org>

Package: signon-ui-x11
Architecture: any
Depends: signon-ui-service, ${misc:Depends}, ${shlibs:Depends}
Breaks: signon-ui (<< 0.17)
Replaces: signon-ui (<< 0.17)
Description: Single Sign-on UI
 UI for the signond Single Signon service

Package: signon-ui-service
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: signon-ui (<< 0.17), ubuntu-system-settings-online-accounts (<< 0.4)
Replaces: signon-ui (<< 0.17), ubuntu-system-settings-online-accounts (<< 0.4)
Description: D-Bus service file for signon-ui
 This D-Bus service is used to provide a UI for authenticating online accounts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

# This has to be exported to make some magic below work.
export DH_OPTIONS
export QMAKE_LIBDIR=/usr/lib
export QT_SELECT=qt6
export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	mkdir -p build6 && cd build6 && QT_SELECT=6 qmake6 ../ LIBDIR+=/usr/lib/$(DEB_HOST_MULTIARCH) \
	CONFIG+=enable-p2p \
	DEFINES+=QT_NO_DEBUG_OUTPUT

override_dh_auto_build:
	cd build6 &&  make

override_dh_auto_install:
	cd build6 && make install INSTALL_ROOT=$(CURDIR)/debian/tmp

override_dh_install:
	cd /workspace/build && dh_install

=== debian/watch ===
version=4
http://archive.ubuntu.com/ubuntu/pool/universe/s/signon-ui/ signon-ui_(.+).orig.tar.(?:gz|xz|bz2)
